Subject: Re: Fwd: Re: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x277/0x280()

From: Alex Villací­s Lasso<[email-masked]>
Date: Fri, 04 May 2012 09:57:13 -0500

(Resending to [email-masked] since previous attempt was rejected as spam)

El 03/05/12 10:39, Alex Villacís Lasso escribió:
> Alex Villacís Lasso<[email-masked]>  :
> [...]
> >  I am currently away from the target computer. How should I check for this? lspci?
>
> lspci can not tell much. Use 'dmesg | grep XID' instead.
[alex@karlalex linux-git]$ dmesg | grep -i xid
[   10.647557] r8169 0000:02:00.0: eth0: RTL8168b/8111b at 0xffffc90000352000, 00:22:68:44:17:2f, XID 98500000 IRQ 43
> A complete dmesg would be welcome.
>
> It could help to know a few things :
> - does the problem qualify as a regression since some kernel version ?
>    If so which one ?
I have only seen these messages since 3.4-rc1. Vanilla kernels up to 3.3, and stock Fedora 16 kernels (kernel-3.3.2-6.fc16.x86_64) did not display this problem. However, I cannot confirm that the latest stock kernel is free from the message, since I prefer 
to run the latest RC kernel on my home machine.
> - can it be reproduced with a kernel that has not been vbox tainted ?
I will check this. However, since the message only appears after an hour of so of moderate bittorrent traffic, it might take a while to confirm.
> - does networking recover ?
It does recover, after a few seconds.
> Thanks.
> -- 
> Ueimor